var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import DatePicker from "../../date-picker";
import Checkbox from "../../checkbox";
import { prefixCls } from "../DateFilter";

var DateItem = function DateItem(_a) {
  var locale = _a.locale,
      label = _a.label,
      value = _a.value,
      onChange = _a.onChange,
      onCheck = _a.onCheck,
      showCheckbox = _a.showCheckbox,
      includeToday = _a.includeToday,
      labelIncludeToday = _a.labelIncludeToday,
      getPopupContainer = _a.getPopupContainer,
      min = _a.min,
      max = _a.max;
  var tip = min !== null && min !== void 0 ? min : max;
  return _jsxs("div", __assign({
    className: prefixCls + "-date-item"
  }, {
    children: [_jsxs("div", __assign({
      className: prefixCls + "-date-label"
    }, {
      children: [label, tip ? " (" + tip + ")" : '']
    }), void 0), _jsx(DatePicker, {
      placeholder: "",
      value: value,
      locale: locale,
      onChange: onChange,
      getPopupContainer: getPopupContainer,
      className: prefixCls + "-date-picker",
      type: "assist-bg"
    }, void 0), showCheckbox && _jsx(Checkbox, {
      type: "menu-bg",
      size: "compact",
      title: labelIncludeToday,
      onChange: onCheck,
      checked: includeToday,
      className: prefixCls + "-include-today"
    }, void 0)]
  }), void 0);
};

DateItem.displayName = 'DateItem';
export default DateItem;
var DateItemMemo = /*#__PURE__*/React.memo(DateItem);
DateItemMemo.displayName = 'DateItemMemo';
export { DateItemMemo };

